CREATE TABLE aca_cs_relationship_ (
    RELATIONSHIP_ID          NUMBER(18, 0) ,
    DEST_OBJ_PK2VALUE        NUMBER(18, 0) ,
    DEST_OBJ_PK3VALUE        NUMBER(18, 0) ,
    DEST_OBJ_PK4VALUE        NUMBER(18, 0) ,
    DEST_OBJ_PK5VALUE        NUMBER(18, 0) ,
    SRC_OBJ_PK4VALUE         NUMBER(18, 0) ,
    SRC_OBJ_PK5VALUE         NUMBER(18, 0) ,
    SRC_OBJ_PK3VALUE         NUMBER(18, 0) ,
    SRC_OBJ_PK2VALUE         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    RELATIONSHIP_TYPE        VARCHAR2(120) ,
    TARGET_TYPE              VARCHAR2(4)   ,
    DIRECTION_TYPE           VARCHAR2(4)   ,
    SRC_OBJ_TYPE             VARCHAR2(120) ,
    SRC_OBJ_ID               NUMBER(18, 0) ,
    SRC_OBJ_NUMBER           VARCHAR2(2000),
    DEST_OBJ_TYPE            VARCHAR2(120) ,
    DEST_OBJ_ID              NUMBER(18, 0) ,
    DEST_OBJ_NUMBER          VARCHAR2(2000),
    AUX_UNIQUE_ID            VARCHAR2(400) ,
    AUX_RELATIONSHIP_ID      VARCHAR2(400) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    RELATIONSHIP_ID          NUMBER(18, 0) ,
    DEST_OBJ_PK2VALUE        NUMBER(18, 0) ,
    DEST_OBJ_PK3VALUE        NUMBER(18, 0) ,
    DEST_OBJ_PK4VALUE        NUMBER(18, 0) ,
    DEST_OBJ_PK5VALUE        NUMBER(18, 0) ,
    SRC_OBJ_PK4VALUE         NUMBER(18, 0) ,
    SRC_OBJ_PK5VALUE         NUMBER(18, 0) ,
    SRC_OBJ_PK3VALUE         NUMBER(18, 0) ,
    SRC_OBJ_PK2VALUE         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)  ,
    RELATIONSHIP_TYPE        VARCHAR2(120) ,
    TARGET_TYPE              VARCHAR2(4)   ,
    DIRECTION_TYPE           VARCHAR2(4)   ,
    SRC_OBJ_TYPE             VARCHAR2(120) ,
    SRC_OBJ_ID               NUMBER(18, 0) ,
    SRC_OBJ_NUMBER           VARCHAR2(2000),
    DEST_OBJ_TYPE            VARCHAR2(120) ,
    DEST_OBJ_ID              NUMBER(18, 0) ,
    DEST_OBJ_NUMBER          VARCHAR2(2000),
    AUX_UNIQUE_ID            VARCHAR2(400) ,
    AUX_RELATIONSHIP_ID      VARCHAR2(400) ,
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    AUDIT_ACTION_TYPE_       VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_    VARCHAR2(4000),
    AUDIT_IMPERSONATOR_      VARCHAR2(256) ,
    CONSTRAINT pk_aca_cs_relationship_ PRIMARY KEY (RELATIONSHIP_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, RELATIONSHIP_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
